Bug 194063 - Telnet manual describes features that do not exist
Telnet manual describes features that do not exist
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: telnet (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 11:14 EDT by Axel Liljencrantz
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 06:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Liljencrantz 2006-06-05 11:14:14 EDT
Description of problem:

According to the manual for telnet shipped with Fedora Core 5, there are various
commands for accessing encryption and authentication algorithms in telnet. These
do not exist, and trying to use them produces an error. 

Version-Release number of selected component (if applicable): 

0.17

How reproducible:

Always

Steps to Reproduce:
1. Start telnet by typing 'telnet' on the commandline and pressing enter
2. Write 'auth enable ?' and press enter
  
Actual results:

An error message

Expected results:

A list of supported authentication methods.

Additional info:
Comment 1 Harald Hoyer 2006-06-06 02:28:47 EDT
You are right /usr/bin/telnet does not support the "auth" command.

$ /usr/bin/telnet
telnet> auth enable ?
?Invalid command
telnet>

$ /usr/kerberos/bin/telnet
telnet> auth enable ?
auth enable 'type'
Where 'type' is one of:
        NULL
        KERBEROS_V5
        KERBEROS_V4
telnet>


$ rpm -qf /usr/kerberos/bin/telnet
krb5-workstation-1.4.3-4.1
Comment 2 Adam Tkac 2007-09-03 06:58:17 EDT
As Harald wrote in comment #1 you have to run correct telnet. Closing
Comment 3 Oliver Falk 2007-09-08 14:35:25 EDT
Duh!? What a fun? Why did bz send me some email about this bug!? :-/

Note You need to log in before you can comment on or make changes to this bug.